Subject: Re: Route cache performance under stress

From: Jamal Hadi <[email-masked]>
Date: Tue, 10 Jun 2003 07:28:16 -0400 (EDT)

On Mon, 9 Jun 2003, Simon Kirby wrote:

> I was going to ask before, and it's probably not even possible anymore,
> but have you tried on a 2.0 kernel before?  2.0 kernels probably have a
> lot of other problems and don't support the new hardware, but it would be
> interesting to see how it scales to many srcs/dsts before the route cache
> was integrated.  It probably scales a lot more like FreeBSD does.  You'd
> probably have to use eepro100s or something, though.
>

As a side note, note that stateless forwarding like BSD patricie tries
is no longer sufficient. Its no longer just looking up a nexthop, dec ttl,
recompute csum that we are optimizing for.
The dst cache/flowi is the way to go, so theres no going back;-> - we just
gotta make what we have work better.

cheers,
jamal